Bug 838445 - lnstat -d prints tables to stderr rather than stdout
lnstat -d prints tables to stderr rather than stdout
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iproute (Show other bugs)
5.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Petr Šabata
BaseOS QE Security Team
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 02:43 EDT by Karel Srot
Modified: 2014-06-25 17:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 736106
Environment:
Last Closed: 2014-06-25 17:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-07-09 02:43:44 EDT
Same for RHEL5, iproute-2.6.18-13.el5

+++ This bug was initially created as a clone of Bug #736106 +++

Description of problem:

lnstat -d prints tables to stderr rather than stdout

[ben@snog Desktop]$ lnstat -d 2>/dev/null
[ben@snog Desktop]$ lnstat -d >/dev/null
/proc/net/stat/arp_cache:
	 1: entries
	 2: allocs
	 3: destroys
	 4: hash_grows
	 5: lookups
	 6: hits
	 7: res_failed
	 8: rcv_probes_mcast
	 9: rcv_probes_ucast
	10: periodic_gc_runs
	11: forced_gc_runs
	12: unresolved_discards


Version-Release number of selected component (if applicable):
iproute-2.6.32-16.el6

How reproducible:
100%

Steps to Reproduce:
1. lnstat -d 2>/dev/null

Actual results:
Output to stderr

Expected results:
Output to stdout

Additional info:
Comment 1 RHEL Product and Program Management 2013-05-01 03:06:34 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2014-03-07 07:46:39 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 3 Ondrej Vasik 2014-06-25 17:13:09 EDT
I take it as no need to escalate - as this doesn't qualify for production phase 3, closing WONTFIX for RHEL 5, thanks for reply.

Note You need to log in before you can comment on or make changes to this bug.